O.oreas_opt.jpg=Ophrys oreas.\
Found mainly on the Mt. Prof. Ilias.  \
.
O.oreas-2_opt.jpg=Ophrys oreas.\
These are endemic to Rhodes.                                                                                            .\

O.oreas-3_opt.jpg=Ophrys oreas.\
Previously listed as heterochila “rare & local”.\
.
